<%- contentFor("main-content") %>
<div class="container-fluid">

    <div id="search-area" class="row">
        <div class="col-xs-12 offset-md-2 col-md-8">
            <div class="clearfix">
                <input class="form-control" type="text" name="search" id="search-string" placeholder="What are you looking for?"/>
                <select class="form-control order-by" data-oldorder="<%= order %>">
                    <option <% if (order == "created-desc") { %>selected<% } %> value="created-desc">Newest first</option>
                    <option <% if (order == "created-asc") { %>selected<% } %> value="created-asc">Oldest first</option>
                    <option <% if (order == "updated-desc") { %>selected<% } %> value="updated-desc">Recently updated</option>
                    <option <% if (order == "updated-asc") { %>selected<% } %> value="updated-asc">Not updated for long</option>
                    <option <% if (order == "likes-desc") { %>selected<% } %> value="likes-desc">Most likes</option>
                    <option <% if (order == "likes-asc") { %>selected<% } %> value="likes-asc">Least likes</option>
                </select>
            </div>
            <% if (search_string) { %>
            <p>
                Found <%= page_info.items_total %> post<% if (page_info.items_total != 1) { %>s<% } %> for 
                <% if (!Array.isArray(search_string)) { %>
                    <span id="search-echo"><%= search_string %></span> 
                <% } else { %>
                    <span id="search-echo">
                    <% for(var i = 0; i < search_string.length; i++) { %>
                        <a href="/tagged/<%= search_string[i] %>">#<%= search_string[i] %></a>
                    <% } %>
                    </span>
                <% } %>
            </p>
            <% } %>
        </div>
    </div>

    <div class="row page-info">
        <div class="col-12">
            <div class="page">
                <h4>Page <%= page_info.page %></h4>
            </div>
            <div class="items-per-page">
                Items per page
                <a <% if (page_info.items == 10) { %>class="active"<% } %> href="<%= page_info.items_url %>items=10">10</a>
                |
                <a <% if (page_info.items == 30) { %>class="active"<% } %> href="<%= page_info.items_url %>items=30">30</a>
                |
                <a <% if (page_info.items == 50) { %>class="active"<% } %> href="<%= page_info.items_url %>items=50">50</a>
            </div>
        </div>
    </div>

    <div id="posts">

        <% for(var i = 0; i < posts.length; i++) { %>
        <div class="row">
            <div class="col-12 post" data-postid="<%= posts[i]._id %>">
                <h2 class="title"><%= posts[i].title %></h2>
                <div class="accent-border"></div>
                <div class="options">
                    <div class="slidercontainer">
                        <label>Image Size<i class="fas fa-redo reset-image-size"></i></label>
                        <input type="range" min="10" max="200" value="100" class="slider image-size">
                    </div>
                    <a href="/edit-post/<%= posts[i]._id %>" class="btn btn-accent-main edit-post">Edit</a>
                    <a href="" data-href="/delete-post/<%= posts[i]._id %>" class="btn btn-accent-main delete-post" data-toggle="modal" data-target="#confirm-delete-post">Delete</a>
                </div>
                <% if (posts[i].reflink != "") { %>
                    <a class="reflink" href="<%= posts[i].reflink %>">Reflink</a>
                <% } %>
                <div class="image-section">
                    <ul>
                    <% for(var j = 0; j < posts[i].content.length; j++) { %>
                        <li class="content-element">
                        <% if (posts[i].content[j].type == "image") { %>
                            <img src="<%= posts[i].content[j].link %>" class="<% if (posts[i].content[j].rotate != 0) { %>rotate-<%= posts[i].content[j].rotate %><% } %>"/>
                        <% } else if (posts[i].content[j].type == "video") { %>
                            <video controls loop>
                                <source src="<%= posts[i].content[j].link %>" type="video/<%= posts[i].content[j].extension %>" class="<% if (posts[i].content[j].rotate != 0) { %>rotate-<%= posts[i].content[j].rotate %><% } %>">
                            </video>
                        <% } %>
                        </li>
                    <% } %>
                    </ul>
                </div>
                <div class="row">
                    <div class="tags col-10">
                    <% for(var j = 0; j < posts[i].tags.length; j++) { %>
                        <a href="/tagged/<%= posts[i].tags[j] %>">#<%= posts[i].tags[j] %></a>
                    <% } %>
                    </div>
                    <div class="info col-2">
                        <span><%= posts[i].content.length %> images/videos</span>
                    </div>
                </div>
                
                <div class="likes">
                    <i class="far fa-heart heart"></i>
                    <span class="likes-info"><span class="likes-count" data-likes=<%= posts[i].likes %></span><%= posts[i].likes %></span> Likes</span>
                </div>
            </div>
        </div>
        <% } %>

    </div>

    <div class="row">
        <div class="col-12">
            <nav aria-label="...">
                <ul class="pagination">
                    <li class="page-item <% if (!page_info.prev_page) { %>disabled<% } %>">
                        <a class="page-link" href="<%= page_info.pages_url %>page=<%= (page_info.prev_page) ? page_info.prev_page : 1 %>" tabindex="-1">Previous</a>
                    </li>

                    <% if (page_info.prev_prev_page) { %>
                        <li class="page-item">
                            <a class="page-link" href="<%= page_info.pages_url %>page=<%= page_info.prev_prev_page %>"><%= page_info.prev_prev_page %></a>
                        </li>
                    <% } %>

                    <% if (page_info.prev_page) { %>
                    <li class="page-item">
                        <a class="page-link" href="<%= page_info.pages_url %>page=<%= page_info.prev_page %>"><%= page_info.prev_page %></a>
                    </li>
                    <% } %>

                    <li class="page-item active">
                        <a class="page-link" href="#"><%= page_info.page %><span class="sr-only">(current)</span></a>
                    </li>

                    <% if (page_info.next_page) { %>
                    <li class="page-item">
                        <a class="page-link" href="<%= page_info.pages_url %>page=<%= page_info.next_page %>"><%= page_info.next_page %></a>
                    </li>
                    <% } %>

                    <% if (page_info.next_next_page) { %>
                        <li class="page-item">
                            <a class="page-link" href="<%= page_info.pages_url %>page=<%= page_info.next_next_page %>"><%= page_info.next_next_page %></a>
                        </li>
                    <% } %>

                    <% if (page_info.next_next_page != page_info.pages_total && page_info.next_page != page_info.pages_total) { %>
                        <li class="page-item disabled">
                            <a class="page-link" href="#>">...</a>
                        </li>

                        <li class="page-item">
                            <a class="page-link" href="<%= page_info.pages_url %>page=<%= page_info.pages_total %>"><%= page_info.pages_total %></a>
                        </li>
                    <% } %>

                    <li class="page-item <% if (!page_info.next_page) { %>disabled<% } %>">
                        <a class="page-link" href="<%= page_info.pages_url %>page=<%= page_info.page * 1 + 1 %>">Next</a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>

</div>